package com.fjhx.item.entity.product.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.file.entity.ObsFile;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * item_产品BOM明细
 * </p>
 *
 * @author
 * @since 2024-01-07
 */
@Getter
@Setter
@TableName("product_bom_detail")
public class ProductBomDetail extends BasePo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 1原材料 2包材辅材 3工序
     */
    private Integer type;

    /**
     * 工序id
     */
    private Long processesId;
    /**
     * 标准用量
     */
    private Integer standardDosage;
    /**
     * 损耗率
     */
    private Integer lossRate;
    /**
     * 备注
     */
    private String remark;

    /**
     * BOM附件
     */
    @TableField(exist = false)
    private List<ObsFile> bomFileList;

}
