package com.fjhx.mes.controller.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.dto.ProductionSchedulingDto;
import com.fjhx.mes.entity.production.dto.ProductionSchedulingSelectDto;
import com.fjhx.mes.entity.production.vo.ProductionOrderDetailVo;
import com.fjhx.mes.entity.production.vo.ProductionSchedulingVo;
import com.fjhx.mes.service.production.ProductionSchedulingService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.ruoyi.common.enums.BusinessType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产排程 前端控制器
 * </p>
 *
 * @author
 * @since 2024-02-03
 */
@RestController
@RequestMapping("/productionScheduling")
public class ProductionSchedulingController {

    @Autowired
    private ProductionSchedulingService productionSchedulingService;

    @PostMapping("/page")
    public Page<ProductionSchedulingVo> getPage(@RequestBody ProductionSchedulingSelectDto dto) {
        return productionSchedulingService.getPage(dto);
    }

    /**
     * 生产排程列表
     */
    @PostMapping("/listMap")
    public Map<String, List<ProductionSchedulingVo>> listMap(@RequestBody ProductionSchedulingSelectDto dto) {
        return productionSchedulingService.listMap(dto);
    }

    /**
     * 生产排程新增
     */
    @Log(title = "生产排程", businessType = BusinessType.INSERT)
    @PostMapping("/add")
    public void add(@RequestBody ProductionSchedulingDto dto) {
        productionSchedulingService.add(dto);
    }

    /**
     * 生产排程删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productionSchedulingService.delete(dto.getId());
    }

    /**
     * 获取排程任务列表
     */
    @PostMapping("/schedulingTaskList")
    public List<ProductionOrderDetailVo> schedulingTaskList() {
        return productionSchedulingService.schedulingTaskList();
    }

    /**
     * 获取所有工序指定日期排程信息
     */
    @PostMapping("/getProcessesSchedulingList")
    List<ProductionSchedulingVo> getProcessesSchedulingList(ProductionSchedulingSelectDto dto) {
        return productionSchedulingService.getProcessesSchedulingList(dto);
    }


}
