package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionReporting;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 生产报工列表查询返回值实体
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
public class ProductionReportingVo extends ProductionReporting {

    /**
     * 任务编码
     */
    private String code;

    /**
     * 操作人名称
     */
    private String operatorName;

    /**
     * 商品id
     */
    private Long productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 任务数量
     */
    private BigDecimal quantity;
    /**
     * 负责人id
     */
    private Long personLiableId;
    /**
     * 负责人名字
     */
    private String personLiableName;
    /**
     * 完成期限
     */
    private Date dueDate;

    /**
     * 报工明细列表
     */
    List<ProductionReportingDetailVo> productionReportingDetailVoList;

    /**
     * 订单好
     */
    private String orderCode;
    /**
     * 任务单号
     */
    private String taskCode;
    /**
     * 工序名称
     */
    private String processesName;

    /**
     * 办公用户名称
     */
    private String userName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;
    /**
     * 产品颜色
     */
    private String productColor;

}
