package com.fjhx.oa.controller.salary;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.salary.dto.SalaryStructureDto;
import com.fjhx.oa.entity.salary.dto.SalaryStructureSelectDto;
import com.fjhx.oa.entity.salary.vo.SalaryStructureVo;
import com.fjhx.oa.service.salary.SalaryStructureService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 薪资结构配置 前端控制器
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
@RestController
@RequestMapping("/salaryStructure")
public class SalaryStructureController {

    @Autowired
    private SalaryStructureService salaryStructureService;

    /**
     * 薪资结构配置分页
     */
    @PostMapping("/page")
    public Page<SalaryStructureVo> page(@RequestBody SalaryStructureSelectDto dto) {
        return salaryStructureService.getPage(dto);
    }

    /**
     * 薪资结构配置明细
     */
    @PostMapping("/detail")
    public SalaryStructureVo detail(@RequestBody BaseSelectDto dto) {
        return salaryStructureService.detail(dto.getId());
    }

    /**
     * 薪资结构配置新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SalaryStructureDto salaryStructureDto) {
        salaryStructureService.add(salaryStructureDto);
    }

    /**
     * 薪资结构配置编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SalaryStructureDto salaryStructureDto) {
        salaryStructureService.edit(salaryStructureDto);
    }

    /**
     * 薪资结构配置删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        salaryStructureService.delete(dto.getId());
    }

}
