package com.fjhx.oa.controller.user;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.user.dto.UserSalaryManageDto;
import com.fjhx.oa.entity.user.dto.UserSalaryManageSelectDto;
import com.fjhx.oa.entity.user.vo.UserSalaryManageVo;
import com.fjhx.oa.service.user.UserSalaryManageService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * <p>
 * 员工薪资管理 前端控制器
 * </p>
 *
 * @author _
 * @since 2024-06-11
 */
@RestController
@RequestMapping("/userSalaryManage")
public class UserSalaryManageController {

    @Resource
    private UserSalaryManageService userSalaryManageService;

    /**
     * 员工薪资管理分页
     */
    @PostMapping("/page")
    public Page<UserSalaryManageVo> page(@RequestBody UserSalaryManageSelectDto dto) {
        return userSalaryManageService.getPage(dto);
    }

    /**
     * 员工薪资管理明细
     */
    @PostMapping("/detail")
    public UserSalaryManageVo detail(@RequestBody UserSalaryManageDto dto) {
        return userSalaryManageService.detail(dto.getUserId());
    }

    /**
     * 员工薪资管理新增
     */
    @PostMapping("/edit")
    public void edit(@RequestBody UserSalaryManageDto userSalaryManageDto) {
        userSalaryManageService.edit(userSalaryManageDto);
    }

}
